*****PREPARE FINAL DATA FILES****
cd "C:\Users\ddoherty\Documents\Colorado Republican Party\Paper\PRQ Final\REPLICATION"

**in 99 cases where two surveys at one number completed, retain only first survey
use "data_private\first_results.dta", clear
sort lead_phone dial_start
drop if lead_phone[_n]==lead_phone[_n-1]
**drop one case where no valid response provided
drop if lang==.
sort extern_id
drop lead_phone-dial_disposition
save "data_private\first_fe_results.dta", replace

***Merge provided call list with results
use "data_private\first_round_call_list.dta", clear
rename statevoterid extern_id
sort extern_id
merge extern_id using "first_fe_results.dta"
drop if _merge==2
recode _merge (1=0) (3=1) (*=.), gen(contact)
label var contact "Contacted (1=yes)"
drop _merge
sort extern_id 
gen contact_first_round=contact
rename lang lang_fe1
rename hudak hudak_fe1
rename mail mail_fe1
rename registered registered_fe1
rename liklihood liklihood_fe1

save "data_private\contact_first_fe.dta", replace

**merge in second round data
use "data_private\second_round_data.dta", clear
drop var1

** merge in contact/insample data from first 
rename statevoterid extern_id
sort extern_id
merge extern_id using "data_private\contact_first_fe.dta"
gen contact_2 = lang!=.
sort extern_id
drop _merge
gen indata=0
replace indata=1
save "data_private\full_survey.dta", replace

*** create validated (post-2012 election) turnout dataset
clear all
insheet using "data_private\2012Turnout.csv", comma name
gen long extern_id=statevoterid
sort extern_id voted
drop if extern_id==extern_id[_n+1] 
merge 1:1 extern_id using "data_private\full_survey.dta"
*drop if only on voter list
drop if _merge==1

*ANONYMIZE
keep voted voterscoregeneral sdname strata treat yob age gender treat_new lang hudak mail registered liklihood lang_fe1 hudak_fe1 mail_fe1 registered_fe1 liklihood_fe1 district contact contact_2

save "data_for_analysis.dta", replace
